Subject: Re: bug#61736: Fix typos in docstrings in c-ts-common.el

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Feb 2023 19:52:18 +0200

> Date: Thu, 23 Feb 2023 18:32:58 +0100
> From:  Daniel Martín via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I've attached a patch to fix a couple of typos in c-ts-common.el.

Thanks.

>  (defun c-ts-common-statement-offset (node parent &rest _)
> -  "This anchor is used for children of a statement inside a block.
> +  "Return an offset for children of a statement inside a block.

Is the new text really accurate?  The rest of the doc string doesn'
mention "offset" even once, and without explaining what kind of
"offset" is this, the first sentence could mislead and confuse.

So I think this part of the patch "needs more work".

I installed the first part, thanks.